gtkmm: Gtk::Tooltips Class Reference

gtkmm 2.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions | Related Functions | List of all members
Gtk::Tooltips Class Reference

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time. More...

Inheritance diagram for Gtk::Tooltips:
[legend]
Collaboration diagram for Gtk::Tooltips:
[legend]

## Public Member Functions
virtual | ~Tooltips ()
GtkTooltips* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkTooltips* | gobj () const
| Provides access to the underlying C GtkObject. More...
| Tooltips ()
void | enable ()
void | disable ()
void | set_tip (Widget& widget, const Glib::ustring& tip_text, const Glib::ustring& tip_private)
| Adds a tooltip containing the message tip_text to the specified Gtk::Widget. More...
void | set_tip (Widget& widget, const Glib::ustring& tip_text)
void | unset_tip (Widget& widget)
void | force_window ()
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GtkObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkObject* | gobj () const
| Provides access to the underlying C GtkObject. More...
Glib::PropertyProxy< void* > | property_user_data ()
| Anonymous User Data Pointer. More...
Glib::PropertyProxy_ReadOnly < void* > | property_user_data () const
| Anonymous User Data Pointer. More...
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Static Protected Member Functions
static GtkTooltipsData* | data_get (Widget& widget)

## Related Functions
(Note that these are not member functions.)
Gtk::Tooltips* | wrap (GtkTooltips* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Object
Gtk::Object* | wrap (GtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Detailed Description

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time.

They are especially helpful for adding more verbose descriptions of things such as buttons in a toolbar.

This widget holds tooltips for other widgets. You should only need one Tooltip widget for all widgets you wish to add tips to.

Deprecated:
  Use the Gtk::Tooltip API instead.

## Constructor & Destructor Documentation

virtual Gtk::Tooltips::~Tooltips | ( |  | ) |
| virtual

Gtk::Tooltips::Tooltips | ( |  | ) |

## Member Function Documentation

static GtkTooltipsData* Gtk::Tooltips::data_get | ( | Widget& | widget | ) |
| staticprotected

void Gtk::Tooltips::disable | ( |  | ) |

void Gtk::Tooltips::enable | ( |  | ) |

void Gtk::Tooltips::force_window | ( |  | ) |

GtkTooltips* Gtk::Tooltips::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

const GtkTooltips* Gtk::Tooltips::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

void Gtk::Tooltips::set_tip | ( | Widget& | widget,
|  | const Glib::ustring & | tip_text,
|  | const Glib::ustring & | tip_private
| ) |  |

Adds a tooltip containing the message tip_text to the specified Gtk::Widget.

Deprecated: 2.12:

Parameters

  widget | The Gtk::Widget you wish to associate the tip with.
  tip_text | A string containing the tip itself.
  tip_private | A string of any further information that may be useful if the user gets stuck.

void Gtk::Tooltips::set_tip | ( | Widget& | widget,
|  | const Glib::ustring & | tip_text
| ) |  |

void Gtk::Tooltips::unset_tip | ( | Widget& | widget | ) |

## Friends And Related Function Documentation

Gtk::Tooltips* wrap | ( | GtkTooltips * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/tooltips.h